Opened 5 years ago

Last modified 3 years ago

#5055 new enhancement

Friendlier failure if Gstreamer 1.0 not installed

Reported by: Christopher Allan Webber Owned by:
Priority: major Milestone:
Component: programming Keywords: small
Cc: Boris Bobrov Parent Tickets:

Description (last modified by Christopher Allan Webber)

See #5024... it would be nice, if gstreamer 1.0 is not installed, if we could give a friendlier failure message.

Ideas on what we should catch, and how to raise the error? Even raising an exception with better text would likely work.

Subtickets

Change History (3)

comment:1 Changed 5 years ago by Christopher Allan Webber

Description: modified (diff)

comment:2 Changed 4 years ago by Loic Dachary

Type: defectenhancement

comment:3 Changed 3 years ago by Ben Sturmfels

Keywords: small added

Marking as "small", since just raising an unhandled exception with a helpful message would be a big help to the site owner.

Note: See TracTickets for help on using tickets.